/**
 *@des 订单模块接口
 *@author zhengjinyi
 *@date 2020/03/19 14:56:57
 *@param registerByPass
 */
import request from '@/common/config/caimeiApi.js'
import $reg from '@/common/config/common.js'

/**
 *@结算页面
 */
export function createOrderInfo(params) {
	return new Promise(function(resolve,reject) {
		request.get('/order/confirm',params, res => {
			if(res.code == 0){
				resolve(res)
			}else{
				reject(res)
			}
		})
	})
}
/**
 *@提交订单
 */
export function createOrderSubmit(params) {
	return new Promise(function(resolve,reject) {
		request.post('/order/submit',params, true,res => {
			resolve(res)
		})
	})
}
/**
 *@获取运费
 *@param productIds 商品ID【”,”分割】
 *@param totalPrice	商品总额
 *@param userId		用户ID
 *@param townID		地址区ID
 */
export function getOrderPostage(params) {
	return new Promise(function(resolve,reject) {
		request.get('/order/postage',params,res => {
			if(res.code == 0){
				resolve(res)
			}else{
				reject(res)
			}
		})
	})
}
/**
 *@发票信息回显
 *@param userId	机构的userID
 */
export function getFindInvoice(params) {
	return new Promise(function(resolve,reject) {
		request.get('/personalCenter/findInvoice',params,res => {
			if(res.code == 0){
				resolve(res)
			}else{
				reject(res)
			}
		})
	})
}
/**
 *@保存发票信息
 *@param userId	机构的userID
 */
export function updateInvoice(params) {
	return new Promise(function(resolve,reject) {
		request.post('/personalCenter/invoice',params, true,res => {
			if(res.code == 0){
				resolve(res)
			}else{
				reject(res)
			}
		})
	})
}
/**
 *@获取订单列表
 *@param orderState 订单状态 1 2 3 4
 *@param pageNum	页码
 *@param pageSize	条数
 */
export function queryOrderList(params) {
	return new Promise(function(resolve,reject) {
		request.lodingGet('/order/list',params, res => {
			if(res.code == 0){
				resolve(res)
			}else{
				reject(res)
			}
		})
	})
}
/**
 *查询订单详情
 *@param orderID 订单ID
 */
export function queryOrderDetails(params) {
	return new Promise(function(resolve,reject) {
		request.get('/order/detail',params, res => {
			if(res.code == 0){
				resolve(res)
			}else{
				reject(res)
			}
		})
	})
}
/**
 *取消订单
 * @param orderID
 */
export function cancelOrder(params) {
	return new Promise(function(resolve,reject) {
		request.get('/order/cancel',params, res => {
			if(res.code == 0){
				resolve(res)
			}else{
				reject(res)
			}
		})
	})
}
/**
 *删除订单
 * @param orderID
 */
export function deleteOrder(params) {
	return new Promise(function(resolve,reject) {
		request.get('/order/delete',params, res => {
			if(res.code == 0){
				resolve(res)
			}else{
				reject(res)
			}
		})
	})
}
/**
 *确认订单
 * @param orderID
 */
export function affirmOrder(params) {
	return new Promise(function(resolve,reject) {
		request.post('/order/affirmOrder',params,true,res => {
			if(res.code == 0){
				resolve(res)
			}else{
				reject(res)
			}
		})
	})
}
/**
 *确认收货
 * @param orderID
 */
export function confirmReceipt(params) {
	return new Promise(function(resolve,reject) {
		request.get('/order/affirm',params, res => {
			if(res.code == 0){
				resolve(res)
			}else{
				reject(res)
			}
		})
	})
}
/**
 *查询物流信息
 * @param orderID
 */
export function queryLogistics(params) {
	return new Promise(function(resolve,reject) {
		request.get('/order/logistics',params, res => {
			if(res.code == 0){
				resolve(res)
			}else{
				reject(res)
			}
		})
	})
}
/**
 *获取订单分享码
 * @param orderID
 */
export function queryOrderShareCode(params) {
	return new Promise(function(resolve,reject) {
		request.get('/order/share',params, res => {
			if(res.code == 0){
				resolve(res)
			}else{
				reject(res)
			}
		})
	})
}
/**
 *分享订单登录
 * @param orderID
 */
export function orderShareCode(params) {
	return new Promise(function(resolve,reject) {
		request.get('/order/shareCode',params, res => {
			resolve(res)
		})
	})
}
/**
 *搜索订单
 *@param searchWord 关键词
 *@param userId		用户ID
 *@param pageNum	页码
 *@param pageSize	条数
 */
export function searchOrderInfo(params) {
	return new Promise(function(resolve,reject) {
		request.lodingGet('/order/search',params, res => {
			if(res.code == 0){
				resolve(res)
			}else{
				reject(res)
			}
		})
	})
}
/**
 *搜索订单历史记录
 *@param userId
 */
export function searchOrderHistory(params) {
	return new Promise(function(resolve,reject) {
		request.get('/order/searchHistory',params, res => {
			if(res.code == 0){
				resolve(res)
			}else{
				reject(res)
			}
		})
	})
}
/**
 *清楚订单历史记录
 *@param
 */
export function clearOrderHistory(params) {
	return new Promise(function(resolve,reject) {
		request.lodingGet('/order/searchHistory/delete',params, res => {
			if(res.code == 0){
				resolve(res)
			}else{
				reject(res)
			}
		})
	})
}

